Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class ScriptCompilationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.GradleScriptException
                          org.gradle.api.ScriptCompilationException

    public class ScriptCompilationException
    extends GradleScriptException

A `ScriptCompilationException` is thrown when a script cannot be compiled.

Constructor Summary
`ScriptCompilationException(ScriptCompilationException source)`
`ScriptCompilationException(java.lang.String message, java.lang.Throwable cause, ScriptSource scriptSource, java.lang.Integer lineNumber)`

Method Summary
`java.lang.Integer` | `getLineNumber()`
`ScriptSource` | `getScriptSource()`

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Methods inherited from class java.lang.Throwable
java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#wait(long), java.lang.Throwable#wait(long, int), java.lang.Throwable#wait(), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ScriptCompilationException

    public ScriptCompilationException(ScriptCompilationException source)

### ScriptCompilationException

    public ScriptCompilationException(java.lang.String message, java.lang.Throwable cause, ScriptSource scriptSource, java.lang.Integer lineNumber)

Method Detail

### getLineNumber

    public java.lang.Integer getLineNumber()

### getScriptSource

    public ScriptSource getScriptSource()

Groovy Documentation